commit:     79d78586c28fc462c2ea70cab1ad0a3bdb105ea4
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Thu Jan 21 08:16:24 2016 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Thu Jan 21 08:16:24 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=79d78586

sci-libs/clfft: Version bump to 2.10.0

Package-Manager: portage-2.2.26

 sci-libs/clfft/clfft-2.10.0.ebuild | 53 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/sci-libs/clfft/clfft-2.10.0.ebuild 
b/sci-libs/clfft/clfft-2.10.0.ebuild
new file mode 100644
index 0000000..1776ddd
--- /dev/null
+++ b/sci-libs/clfft/clfft-2.10.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils
+
+MY_PN="clFFT"
+
+DESCRIPTION="Library containing FFT functions written in OpenCL"
+HOMEPAGE="https://github.com/clMathLibraries/clFFT";
+SRC_URI="https://github.com/clMathLibraries/${MY_PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="callback_client +client examples test"
+
+RDEPEND="
+       >=sys-devel/gcc-4.6:*
+       virtual/opencl
+       dev-libs/boost"
+DEPEND="${RDEPEND}"
+#      test? (
+#              dev-cpp/gtest
+#              sci-libs/fftw:3.0
+#      )"
+
+# The tests only get compiled to an executable named Test, which is not 
recogniozed by cmake.
+# Therefore src_test() won't execute any test.
+RESTRICT="test"
+
+S="${WORKDIR}/${MY_PN}-${PV}/src"
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]]; then
+               if [[ $(gcc-major-version) -lt 4 ]] || ( [[ 
$(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) ; then
+                       die "Compilation with gcc older than 4.6 is not 
supported."
+               fi
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake-utils_use_build callback_client CALLBACK_CLIENT)
+               $(cmake-utils_use_build client CLIENT)
+               $(cmake-utils_use_build examples EXAMPLES)
+               $(cmake-utils_use_build test TEST)
+               -DBoost_USE_STATIC_LIBS=OFF
+       )
+       cmake-utils_src_configure
+}

Reply via email to